### Method

# CM Room get_event_sync

#### Declaration [src]

    CmEvent*
    cm_room_get_event_sync (
      CmRoom* self,
      const char* event_id,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Get a single event.

This is a synchronous method. See `cm_room_get_event_async()` for an asynchronous version.

#### Parameters

`event_id`

  Type: `const char*`

  The id of the event to get.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional GCancellable object, NULL to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `CmEvent`

A `CmEvent` or `NULL` if the operation failed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.